/**
 * 
 */
package jalview.structure;


/**
 * Implemented by objects listening for selection events on SelectionSources 
 */
public interface SelectionListener
{
  /**
   * method called by the event broadcaster (see jalview.structure.StructureSelectionManager) to pass on a selection event to listeners
   * @param seqsel - group of selected sequences
   * @param colsel - specific columns in selection
   * @param source - source of the selection event
   */
  public void selection(jalview.datamodel.SequenceGroup seqsel, jalview.datamodel.ColumnSelection colsel, SelectionSource source);
}
